#Castle west throneroom barrier #2
from eventAPI import *
from APIUtils import *

rtcBarrierFlag2=0

def fireEvent(e):
   global rtcBarrierFlag2
   rtcBarrierFlag2 = getTag(e, "rtcBarrierFlag2")
   if (rtcBarrierFlag2 == 1):
      return 1
   else:
      showPicture(e, "Red_Vortex")
      showMessage(e, ["You are stopped short by a strange barrier.  There does not appear to be any way past it."], optionInput)
      return 0
